- Qt 5.15
- Qt 3D
- C++ Classes
- QFrustumCulling
- Qt 5.15.11 Reference Documentation

# QFrustumCulling Class

class Qt3DRender::QFrustumCulling

Enable frustum culling for the FrameGraph. More...

Header: | #include <QFrustumCulling>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | FrustumCulling
Inherits: | Qt3DRender::QFrameGraphNode

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

| QFrustumCulling(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

A QFrustumCulling class enables frustum culling of the drawable entities based on the camera view and QGeometry bounds of the entities. If QFrustumCulling is present in the FrameGraph, only the entities whose QGeometry bounds intersect with the camera frustum, i.e. the view of the camera, are drawn. If QFrustumCulling is not present, all drawable entities will be drawn. The camera is selected by a QCameraSelector frame graph node in the current hierarchy. Frustum culling can save a lot of GPU processing time when the rendered scene is complex.

See also QCameraSelector.

## Member Function Documentation

### QFrustumCulling::QFrustumCulling(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.